Conflicting Sources of Minimum system requirements Regarding windows 7

edited August 27 in Support & FAQ
When looking at minimum system requirements the first thing listed by google is the wiki information stating that the minimum system specs is Windows 7 SP1, 64-bit. The more recent listed minimums now have windows 10 listed as the minimum. So did AoC decide to not support windows 7? or can it still run on 7? I understand that win7 is not being supported by windows anymore, but many people still run it, including myself. Will I have to change OS to play this game? PS: I will, but won't switch to 10 till my next build when I'll be willing to deal with it.

Comments

  • JahlonJahlon Member
    This is the most up to date alpha requirements from Intrepid:

    Minimum System Requirements (on lowest settings):
    Operating System: Windows 10 64-Bit
    Processor: Intel Core i3-2125 3.3GHz / AMD Phenom II X4 3.3GHz
    Graphics Card: Nvidia GeForce GTX 460 or AMD Radeon 6870 HD with 1GB and DirectX 12
    Memory: 6 GB RAM
    Network: Broadband Internet connection
    Storage: 15 GB of available space
    Sound Card: DirectX Compatible Sound Card

    Recommended System Specifications:
    Operating System: Windows 10 64-Bit
    Processor: Intel Core i7-6700K 4.0GHz / AMD FX-9590 4.7GHz
    Graphics Card: Nvidia GeForce GTX 1060 or AMD Radeon R9 Fury with 4GB and DirectX 12
    Memory: 16 GB RAM
    Network: Broadband Internet connection
    Storage: 15 GB of available space
    Sound Card: DirectX Compatible Sound Card
    27eAoL8.png
    Make sure to check out Ashes 101
  • Yes, I looked at the most recent listed requirements, but they have changed. That update is not present in other media, leading me to some confusion and asking the question of if windows 7 has been dropped from being able to play. Most older articles and such list windows 7 in their minimum system requirements, not windows 10.
  • unknownsystemerrorunknownsystemerror Member, Phoenix Initiative, Royalty
    They have an intended 5 year legacy when it comes to hardware and software. What that means is on release, if your stuff is older than 5 years, they are not supporting it. Windows 7 is ancient, that they don't plan to support it cannot come as a surprise.
    south-park-rabble-rabble-rabbl-53b58d315aa49.jpg
  • edited August 28
    It's not surprising that AoC won't support win7 as most recent games have gone windows 10 exclusive, but when the first result from googling "ashes of creation system requirements" gives you wrong information, via the wiki, then maybe it should get looked at. Another concern is that there are still millions of users of this "ancient" technology you speak of, and yet there wasn't a word of dropping windows 7/8 support that I can find. The only reason it came to my attention is because New world doesn't support 7 so I decided to triple check AoC, as I remembered it allowing for win7 users.
    Thanks for the answers, at least I have some time till release to remedy this for myself.
  • Hi there - you can check out the most up-to-date information on our minimum and recommended specs as they relate to Alpha testing in our helpful knowledge base article here: https://ashesofcreation.zendesk.com/hc/en-us/articles/360048506033-What-are-the-minimum-requirements-for-Alpha-

    I'm going to go ahead and close this thread out now, but please don't hesitate to reach back out if there's anything else we can assist you with in the meantime!
    3ztrsitvhj3s.gif
This discussion has been closed.